<template>
  <el-button size="small" aria-label="Copier la Tâche"  @click="copyToClipboard(taskName)" icon="el-icon-document-copy" circle></el-button>
  <el-button size="small" aria-label="Relancer la Tâche" @click="restartTask(taskID)" type="primary" icon="el-icon-video-play"  circle></el-button>
  <el-button size="small" aria-label="Supprimer la Tâche" @click="deleteTask(taskID)" type="danger" icon="el-icon-delete" circle></el-button>
</template>

<script>
  import { mapActions } from "vuex"

  export default {
    props: {
      taskID: {
        type: String,
        required: true
      },
      taskName: {
        type: String,
        required: true
      },
    },
    methods: {
      ... mapActions({
        deleteTask: 'tasks/deleteTask',
        restartTask: 'tasks/restartTask',
        success: 'notifications/success',
      }),
      async copyToClipboard(text) {
        navigator.clipboard.writeText(text)
        const notifID = await this.success({
          title: 'Succès',
          message: 'Le nom de cette tâche à bien été copié'
        })

        const notification = this.$store.getters['notifications/getNotificationByID'](notifID)
        console.log(notifID, notification);
      },
    },
  }
</script>